<?php
/************************ Version 4b (20220814) ****************************/
/* Requires Version 4.0+ of HAniS: http://www.ssec.wisc.edu/hanis/index.html */
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="showRadar" style="padding-left:0; padding-right:0;">
<?php include("radar-status.php"); ?>
<?php
	if (!isset($radar)) { // Set defaults for debugging when called alone
		echo '<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>';
		$SITE['tz'] 			= 'America/Chicago';  //NOTE: this *MUST* be set correctly to
		$radar = 'br1'; // Default radar type is set here
		$radarLoc = 'koax'; // IMPORTAMT!!! Default radar location is set here
		$useRadarLoc = true; // Does your site include the radar location in the file name? true or false
		$imageDir = '/grlevel3'; // Location of GRLevel3 images on server - NOTE! - now requires leading slash!
		$imageWidth = 620; // Width of radar images
		$iframeWidth = $imageWidth; // Default IFrame Width -- should no longer need adjustment
		$iframeHeight = 695; // Default IFrame Height -- adjust as needed
		$autoRefresh = true; // Use Autorefresh? true or false
		$autoRefreshTime = 8; // Number of minutes between autorefreshes.  IMPORTANT: use 2, 3, 4, 5, 6, 8, 10, 15, 20, or 30 ONLY!!!
		$autoRefreshDefaultOff = true; // Begin with Autorefresh Off? true or false
		$bgndColor = 'silver'; // Set HAniS Background Color Here
		$btnColor = 'darkslategray'; // Set Button Color here
		$btnTextColor = 'white'; // Set Button Text Color here
		############################ New in Version 2 ##########################
		$pauseSeconds = 2; // Pause on last image, in seconds
		$animRate = 20; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
		$numbImages = 10; // Number of images to display - between 3 and the number of images you are uploading
		############################ New in Version 3 ##########################
		$imageType = 'jpg'; // 'jpg' or 'png'
		$winter = true; // Use Winter DBZ png scale
		$useDBZ = true; // Juxtapose the appropriate scale to the left of the images
		$useUTC = true; // Use UTC time rather than Zulu time (UTC adds seconds counter)
	}
  if (isset($_POST['radar'])) {
    $radar = $_POST['radar'];
  }
  if (isset($_POST['radarLoc'])) {
    $radarLoc = $_POST['radarLoc'];
  }
  if (isset($_POST['imageDir'])) {
    $imageDir = $_POST['imageDir'];
  }
  if (isset($_POST['imageType'])) {
    $imageType = $_POST['imageType'];
  }
  if (isset($_POST['imageWidth'])) {
    $imageWidth = $_POST['imageWidth'];
  }
  if (isset($_POST['iframeWidth'])) {
    $iframeWidth = $_POST['iframeWidth'];
  }
  if (isset($_POST['iframeHeight'])) {
    $iframeHeight = $_POST['iframeHeight'];
  }
  if (isset($_POST['autoRefresh'])) {
    $autoRefresh = $_POST['autoRefresh'];
  }
  if (isset($_POST['autoRefreshTime'])) {
    $autoRefreshTime = $_POST['autoRefreshTime'];
  }
  if (isset($_POST['useRadarLoc'])) {
    $useRadarLoc = $_POST['useRadarLoc'];
  }
  if (isset($_POST['bgndColor'])) {
    $bgndColor = $_POST['bgndColor'];
  }
  if (isset($_POST['autoRefreshDefaultOff'])) {
    $autoRefreshDefaultOff = $_POST['autoRefreshDefaultOff'];
  }
  if (isset($_POST['btnColor'])) {
    $btnColor = $_POST['btnColor'];
  }
  if (isset($_POST['btnTextColor'])) {
    $btnTextColor = $_POST['btnTextColor'];
  }
  if (isset($_POST['animRate'])) {
    $animRate = $_POST['animRate'];
  }
  if (isset($_POST['pauseSeconds'])) {
    $pauseSeconds = $_POST['pauseSeconds'];
  }
  if (isset($_POST['numbImages'])) {
    $numbImages = $_POST['numbImages'];
  }
  if (isset($_POST['useUTC'])) {
    $useUTC = $_POST['useUTC'];
  }
  if (isset($_POST['useDBZ'])) {
    $useDBZ = $_POST['useDBZ'];
  }
  if (isset($_POST['winter'])) {
    $winter = $_POST['winter'];
  }
?>

	 <table align="center" width="<?php echo $imageWidth+60?>" style="padding:0">
    
    <tr valign="top">
    <td width="45%" align="center" style="padding:3px; padding-left:15px">
    <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
    <b>Select radar type:</b><br/>
    </span>
    <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;" id="radar">
    
    <optgroup label="Doppler Radar">
    
    <option value="br1" <?php echo $radar=="br1"?'selected="selected"':''?>>- BR1 - Base Reflectivity 0.5&deg;</option>
    <option value="cr" <?php echo $radar=="cr"?'selected="selected"':''?>>- CR - Composite Reflectivity</option>
    <option value="et" <?php echo $radar=="et"?'selected="selected"':''?>>- ET - Echo Tops</option>
    <option value="bv1" <?php echo $radar=="bv1"?'selected="selected"':''?>>- BV1 - Base Velocity 0.5&deg;</option>
    <option value="srv1" <?php echo $radar=="srv1"?'selected="selected"':''?>>- SV1 - Storm Relative Velocity 0.5&deg;</option>
    <option value="ohr" <?php echo $radar=="ohr"?'selected="selected"':''?>>- OHR - 1 Hour Rainfall Totals</option>
    <option value="str" <?php echo $radar=="str"?'selected="selected"':''?>>- SHR - Storm Rainfall Totals</option>
    </optgroup>
    
    <optgroup label="Dual-Pole Radar">
    
    <option value="hca1" <?php echo $radar=="hca1"?'selected="selected"':''?>>- HCA - Hydrometeor Classification Algorithm 0.5&deg;</option>
    <option value="cc1" <?php echo $radar=="cc1"?'selected="selected"':''?>>- CC - Correlation Coefficient 0.5&deg;</option>
    <option value="kdp1" <?php echo $radar=="kdp1"?'selected="selected"':''?>>- KDP - Specific Differential Phase 0.5&deg;</option>
    <option value="zdr1" <?php echo $radar=="zdr1"?'selected="selected"':''?>>- DDR - Digital Differential Reflectivity 0.5&deg;</option>
		<option value="hhc" <?php echo $radar=="hhc"?'selected="selected"':''?>>- HHC - Digital Hybrid Hydrometeor Class</option>
<!--    <option value="dod" <?php echo $radar=="dod"?'selected="selected"':''?>>- DOD - Digital One Hour Difference</option>
    <option value="dsd" <?php echo $radar=="dsd"?'selected="selected"':''?>>- DSD - Digital Storm Total Rainfall</option>
-->    </optgroup>
    </select>

	<?php if ($autoRefresh==1) { ?>
	</td>
	<td width="30%" align="center" style="padding:3px;">
    
    <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
    <b>Auto Refresh Interval:</b> <br/>
    </span>
    <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;" id="interval">
    <option value="2" <?php echo $autoRefreshTime==2?'selected="selected"':''?>>2 Minutes</option>
    <option value="3" <?php echo $autoRefreshTime==3?'selected="selected"':''?>>3 Minutes</option>
    <option value="4" <?php echo $autoRefreshTime==4?'selected="selected"':''?>>4 Minutes</option>
    <option value="5" <?php echo $autoRefreshTime==5?'selected="selected"':''?>>5 Minutes</option>
    <option value="6" <?php echo $autoRefreshTime==6?'selected="selected"':''?>>6 Minutes</option>
    <option value="8" <?php echo $autoRefreshTime==8?'selected="selected"':''?>>8 Minutes</option>
    <option value="10" <?php echo $autoRefreshTime==10?'selected="selected"':''?>>10 Minutes</option>
    <option value="15" <?php echo $autoRefreshTime==15?'selected="selected"':''?>>15 Minutes</option>
    <option value="20" <?php echo $autoRefreshTime==20?'selected="selected"':''?>>20 Minutes</option>
    <option value="30" <?php echo $autoRefreshTime==30?'selected="selected"':''?>>30 Minutes</option>
    </select>
    
	<?php } ?>
  </td>
  <td width="25%" align="center" style="padding:3px;">
    
    <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
    <b>Images to Show:</b> <br/>
    </span>
    <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;" id="images">
    <option value="3" <?php echo $numbImages==3?'selected="selected"':''?>>3 Images</option>
    <option value="4" <?php echo $numbImages==4?'selected="selected"':''?>>4 Images</option>
    <option value="5" <?php echo $numbImages==5?'selected="selected"':''?>>5 Images</option>
    <option value="6" <?php echo $numbImages==6?'selected="selected"':''?>>6 Images</option>
    <option value="7" <?php echo $numbImages==7?'selected="selected"':''?>>7 Images</option>
    <option value="8" <?php echo $numbImages==8?'selected="selected"':''?>>8 Images</option>
    <option value="9" <?php echo $numbImages==9?'selected="selected"':''?>>9 Images</option>
    <option value="10" <?php echo $numbImages==10?'selected="selected"':''?>>10 Images</option>
    </select>

  
  </td></tr></table>
<?php $jsConstants = array(
			'var radarLoc = "'.$radarLoc.'";',
			'var imageType = "'.$imageType.'";',
			'var imageDir = "'.$imageDir.'";',
			'var imageWidth = "'.$imageWidth.'";',
			'var iframeWidth = "'.$iframeWidth.'";',
			'var iframeHeight = "'.$iframeHeight.'";',
			'var autoRefresh = "'.$autoRefresh.'";',
			'var useRadarLoc = "'.$useRadarLoc.'";',
			'var bgndColor = "'.$bgndColor.'";',
			'var btnColor = "'.$btnColor.'";',
			'var btnTextColor = "'.$btnTextColor.'";',
			'var animRate = "'.$animRate.'";',
			'var pauseSeconds = "'.$pauseSeconds.'";',
			'var winter = "'.$winter.'";',
			'var useDBZ = "'.$useDBZ.'";',
			'var useUTC = "'.$useUTC.'";'
);?>
  
	<script type="text/javascript">
		var $jq = jQuery.noConflict();
    $jq("#radar").change(function () {
			$jq("#radar").remove();
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var autoRefreshDefaultOff = <?php echo '"'.$autoRefreshDefaultOff.'"'?>;
			var autoRefreshTime = $jq("#interval").val();
			var numbImages = $jq("#images").val();
      var radar = $jq(this).val();
      showRadarjs(radar,radarLoc,imageType,imageDir,imageWidth,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,useRadarLoc,bgndColor,autoRefreshDefaultOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,winter,useDBZ,useUTC);
		});
    $jq("#interval").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var autoRefreshDefaultOff = 0;
			var radar = $jq("#radar").val();
			var numbImages = $jq("#images").val();
      var autoRefreshTime = $jq(this).val();
      showRadarjs(radar,radarLoc,imageType,imageDir,imageWidth,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,useRadarLoc,bgndColor,autoRefreshDefaultOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,winter,useDBZ,useUTC);
		});
    $jq("#images").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var autoRefreshDefaultOff = 0;
			var radar = $jq("#radar").val();
			var numbImages = $jq(this).val();
      var autoRefreshTime = $jq("#interval").val();
      showRadarjs(radar,radarLoc,imageType,imageDir,imageWidth,iframeWidth,iframeHeight,autoRefresh,autoRefreshTime,useRadarLoc,bgndColor,autoRefreshDefaultOff,btnColor,btnTextColor,pauseSeconds,animRate,numbImages,winter,useDBZ,useUTC);
		});
    </script>

<?php
	$radars = array(
    'br1'=> 'Base Reflectivity 0.5&deg;',
		'cr'=> 'Composite Reflectivity',
		'et'=> 'Echo Tops',
		'bv1'=> 'Base Velocity 0.5&deg;',
		'srv1'=> 'Storm Relative Velocity 0.5&deg;',
		'ohr'=> '1 Hour Rainfall Totals',
		'str'=> 'Storm Rainfall Totals',
		'hca1'=> 'Hydrometeor Classification Algorithm 0.5&deg;',
		'cc1'=> 'Correlation Coefficient 0.5&deg;',
		'kdp1'=> 'Specific Differential Phase 0.5&deg;',
		'zdr1'=> 'Digital Differential Reflectivity',
		'hhc'=> 'Digital Hybrid Hydrometeor Class',
		'dod'=> 'Digital One Hour Difference',
		'dsd'=> 'Digital Storm Total Rainfall'
 );
	$radarText = $radars[$radar];
	$radarLegends = array(
    'br1'=> ($winter?'brw':'br1'),
		'cr'=> 'cr',
		'et'=> 'et',
		'bv1'=> 'bv1',
		'srv1'=> 'srv1',
		'ohr'=> 'ohr',
		'str'=> 'str',
		'hca1'=> 'hca',
		'cc1'=> 'cc1',
		'kdp1'=> 'bv',
		'zdr1'=> 'cc',
		'hhc'=> 'hca',
		'dod'=> 'dod',
		'dsd'=> 'dsd'
 );
?>
	<table align="center" width="<?php echo $imageWidth?>" style="padding:0">
	 <tr style="padding:0">
		<?php if ($useDBZ) { echo
  	 '<td align="left" width="40" style="padding:3; padding-top:15" valign="middle">
    	<img src="./images/'.$radarLegends[$radar].'_legend.png" alt="dbZScale" />
     </td>
     <td align="right" width="$imageWidth?>" style="padding:0">';
     } else {
     echo '<td align="center" width="$imageWidth?>" style="padding:0">';
    } ?>
    <h2 align="center">GRLevel3 Local Radar:  <?php echo $radarText?></h2>
	
  	<iframe width="<?php echo $iframeWidth?>" height="<?php echo $autoRefresh?$iframeHeight:($iframeHeight-25)?>" src="wxgr3hanis-iframe-dbZ.php?radar=<?php echo $radar?>&amp;imageType=<?php echo $imageType?>&amp;imageDir=<?php echo $imageDir?>&amp;radarLoc=<?php echo $radarLoc?>&amp;imageWidth=<?php echo $imageWidth?>&amp;autoRefresh=<?php echo $autoRefresh?>&amp;autoRefreshTime=<?php echo $autoRefreshTime?>&amp;useRadarLoc=<?php echo $useRadarLoc?>&amp;bgndColor=<?php echo $bgndColor?>&amp;autoRefreshDefaultOff=<?php echo $autoRefreshDefaultOff?>&amp;btnColor=<?php echo $btnColor?>&amp;btnTextColor=<?php echo $btnTextColor?>&amp;animRate=<?php echo $animRate?>&amp;pauseSeconds=<?php echo $pauseSeconds?>&amp;numbImages=<?php echo $numbImages?>" id="gr3hanis" scrolling="no" style="border:none"></iframe>
		</td></tr></table>
<?php if (($radar=='hca1')||($radar=='hhc')) { ?>
	<div align="center" style="width:660px" class="center">
  <table align="center">
  <tr><td align="left">
    <img src="./images/HCA_Legend.jpg" alt="HCA Legend" style="float:left; margin-top:10px; margin-left:10px"/>
    </td>
    <td align="center">
    <b>Keys</b>
    </td>
    <td align="right">
    <img src="./images/HCA_Legend2.jpg" alt="HCA Legend2" style="float:right; margin-right:10px; margin-top:10px"/>
    </td></tr></table>
    </div>
    <div style="float:none"></div>
<?php } else if ($radar=='cc1') { ?>
	<div align="center" style="width:660px" class="center">
    <p align="center"><b>Correlation Coefficient (CC)</b><br/>
Definition: The measure of the consistency of the shapes and sizes of targets within the radar beam.
	</p><b>(Key for Interpretation)</b><br/>
    <a href="./images/DualPole-QuickReference-MediaGuide.pdf" target="_blank" title="Opens in New Tab"><img src="./images/dualpole-correlationcoefficient-reduced.jpg" alt="KDP Legend" style="border-style:solid; border-width:10px; border-color:#FFFFFF"/></a>
    </div>
<?php } else if ($radar=='kdp1') { ?>
	<div align="center" style="width:660px" class="center">
    <p align="center"><b>Specific Differential Phase (KDP)<br/></b>
Definition: Indicator of liquid water content sampled within the radar beam.
	</p><b>(Key for Interpretation)</b><br/>
    <a href="./images/DualPole-QuickReference-MediaGuide.pdf" target="_blank" title="Opens in New Tab"><img src="./images/dualpole-specificdifferentialphase-reduced.jpg" alt="KDP Legend" style="border-style:solid; border-width:10px; border-color:#FFFFFF"/></a>
    <br/>
    </div>
<?php } else if ($radar=='zdr1') { ?>
	<div align="center" style="width:660px" class="center">
    <p align="center"><b>Differential Reflectivity (ZDR)</b><br/>
Definition: The horizontal reflectivity minus the vertical reflectivity.
	</p><b>(Key for Interpretation)</b><br/>
    <a href="./images/DualPole-QuickReference-MediaGuide.pdf" target="_blank" title="Opens in New Tab"><img src="./images/dualpole-differentialreflectivity-reduced.jpg" alt="ZDR Legend" style="border-style:solid; border-width:10px; border-color:#FFFFFF"/></a>
    </div>
<?php } ?>
  <div align="center"><hr/>
	<?php if (isset($SITE['tz'])) {
		echo '<span style="line-height:140%">The date is currently <b>'.gmdate("M j, Y").'</b>. The time is <b>';
		if (!$useUTC) echo('<span id="zTimer">'.gmdate("Hi").'</span> Zulu');
		else echo ('<span id="gmTimer">'.gmdate("H:i:s").'</span> UTC');
		echo '.</b></span><br/>';
	}?>
  <p style="font-size:9px; text-align:center">The above images were produced by <a href="http://www.grlevelx.com/grlevel3/" target="_blank" title="Off Site">GRLevel3</a> software using <a href="http://radar.weather.gov/" target="_blank" title="Off Site">NWS Radar</a> and data from <a href="http://www.allisonhouse.com/" target="_blank" title="Off Site">Allison House</a>.<br/>GRLevel3 is a product of <a href="http://www.grlevelx.com/" target="_blank" title="Off Site">GRLevelX</a>. -- Animation by <a href="http://www.ssec.wisc.edu/hanis/index.html" target="_blank" title="New Tab">HAniS</a> &copy;2014-<?php echo date("Y")?> by Tom Whittaker<br/>DBZ Scale by John Sacrey. -- Script by <a href="http://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a> -- 
	<?php if (file_exists("wxusalerts-varsize.php")) {
		echo '<a href="wxusalerts-varsize.php" title="New Tab" target="_blank">NWS Alerts Map and Current Legend</a>';
	} else if (file_exists("wxusalerts.php")) {
		echo '<a href="wxusalerts.php" title="New Tab" target="_blank">NWS Alerts Map and Current Legend</a>';
	} else {
		echo '<a href="https://www.weather.gov/" title="New Tab" target="_blank">NWS Alerts Map and Current Legend</a>';
	}?>
  </p>
  </div>
</div>
<script type="text/javascript">
function zuluTimer() {<!--
//<![CDATA[
  var d = new Date();
  var _min = d.getMinutes();
	var _hour = d.getUTCHours();
	var _sec = d.getSeconds();
if ( ( ((_hour+1)/3)== Math.round((_hour+1)/3) )&&(!(_min%60)&&!(_sec%60))) {
  console.log("((_hour+1)/3): "+((_hour+1)/3));
	console.log("Math.round((_hour+1)/3): "+Math.round((_hour+1)/3));
}
  var count = (60 - _sec); // current count
  var counter=setInterval(timer, 1000);
  function timer() {
    count=count-1;
    if (count <= 0) {
      clearInterval(counter);
      zuluTimer();
    }
  } 
	<?php if (!$useUTC) { echo '
		document.getElementById("zTimer").innerHTML = ((_hour<10)?(\'0\'+_hour):_hour).toString() + ((_min<10)?(\'0\'+_min):_min).toString();';
	} ?>
} zuluTimer();
//]]>
-->
function gmtTimer() {<!--
//<![CDATA[
  var d = new Date();
  var _min = d.getMinutes();
	var _hour = d.getUTCHours();
	var _sec = d.getSeconds();
if ( ( ((_hour+1)/3)== Math.round((_hour+1)/3) )&&(!(_min%60)&&!(_sec%60))) {
  console.log("((_hour+1)/3): "+((_hour+1)/3));
	console.log("Math.round((_hour+1)/3): "+Math.round((_hour+1)/3));
}
  var count = (60 - _sec); // current count
  var counter=setInterval(timer, 1000);
  function timer() {
    count=count-1;
		<?php if ($useUTC) { echo '
			document.getElementById("gmTimer").innerHTML = ((_hour<10)?(\'0\'+_hour):_hour).toString() +encodeURI(":") + ((_min<10)?(\'0\'+_min):_min).toString() + encodeURI(":") + ((_sec<10)?(\'0\'+_sec):_sec).toString();';
		 } ?>
		_sec = _sec + 1;
		if (count <= 0) {
      clearInterval(counter);
      gmtTimer();
    }
	}
} gmtTimer();
//]]>
-->
</script>
